## org.apache.jasper.compiler
Interface CommentGenerator

All Known Implementing Classes:
  JakartaCommentGenerator

public interface CommentGenerator

JSP Comment Generator

Author:
  Mandar Raje [Patch submitted by Yury Kamen]

Method Summary
`void` `generateEndComment(Generator generator, ServletWriter out, Mark start, Mark stop)` Generates "end-of the JSP-embedded code block" comment
`void` `generateStartComment(Generator generator, ServletWriter out, Mark start, Mark stop)` Generates "start-of the JSP-embedded code block" comment

Method Detail

### generateStartComment

    public void generateStartComment(Generator generator,
                                     ServletWriter out,
                                     Mark start,
                                     Mark stop)
                              throws JasperException

  Generates "start-of the JSP-embedded code block" comment

  Parameters:
    `out` - The ServletWriter
    `start` - Start position of the block
    `stop` - End position of the block
  Throws:
    `JasperException`

### generateEndComment

    public void generateEndComment(Generator generator,
                                   ServletWriter out,
                                   Mark start,
                                   Mark stop)
                            throws JasperException

  Generates "end-of the JSP-embedded code block" comment

  Parameters:
    `out` - The ServletWriter
    `start` - Start position of the block
    `stop` - End position of the block
  Throws:
    `JasperException`

Copyright © 2000 Apache Software Foundation. All Rights Reserved.